<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use App\Models\Charges;
use App\Models\customer;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Yajra\DataTables\Facades\DataTables;
use Validator;

class ChargesController extends Controller
{
    public function index()
    {
        $customer = customer::where('status', 1)->get();
        return view('admin.charges.index')->with(compact('customer'));
    }

    public function create()
    {
        try {
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
    public function store(Request $request)
    {
        try {
            if ($request->post('charges_type') == "FlyerCharges" || $request->post('charges_type') == "BoxCharges") {
                $validator = Validator::make($request->all(), [
                    'customer_id' => 'required',
                    'medium_qty' => 'required|numeric',
                    'large_qty' => 'required|numeric',
                    'xlarge_qty' => 'required|numeric',                    
                    'date' => 'required',                    
                ]);
            }else{
                $validator = Validator::make($request->all(), [
                    'customer_id' => 'required',
                    'charges' => 'required|numeric',                                     
                    'date' => 'required',                    
                ]);
            }

            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
            $status = 0;
            if ($request->post('status') == "on") {
                $status = 1;
            }

            $charges = new Charges;
            $charges->charges_type = $request->charges_type;
            $charges->customer_id = $request->customer_id;            
            $charges->min_range = 0;
            $charges->max_range = 0;
            if ($request->post('charges_type') == "FlyerCharges" || $request->post('charges_type') == "BoxCharges") {                
                $charges->charges = 0;
                $charges->medium_qty = $request->medium_qty;
                $charges->large_qty = $request->large_qty;
                $charges->xlarge_qty = $request->xlarge_qty;
            }else
            {
                $charges->charges = $request->charges;
                $charges->medium_qty = 0;
                $charges->large_qty = 0;
                $charges->xlarge_qty = 0;
            }
            $charges->date = $request->date;
            $charges->status = $status;
            $charges->user_entry = \Auth::User()->id;
            $charges->user_modify = \Auth::User()->id;
            
            $charges->save();
            return response()->json(['success' => 'data is successfully updated'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function show($id)
    {
        try {
            $route = DB::table('charges as c')
                ->join('customers as cus', 'cus.id', '=', 'c.customer_id')
                ->where('c.charges_type','!=','HandlingCharges')
                ->select('c.*','cus.customer_name')->get();
            return DataTables::of($route)
                ->addColumn('action', function ($data) {
                    return table_edit_delete_button($data->id, 'charges');
                })
                ->addColumn('checkbox', function ($data) {
                    return checkbox_show($data->id);
                })
                ->editColumn('status', function ($data) {
                    return current_status($data->status);
                })
                ->addIndexColumn()  
                ->rawColumns(['action', 'checkbox', 'status','DT_RowIndex'])
                ->make(true);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function edit($id)
    {
        try {
            $charges = Charges::find($id);
            return response()->json(['success' => 'successfull retrieve data', 'data' => $charges->toJson()], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function rec_update(Request $request)
    {
        try {
            if ($request->post('charges_type') == "FlyerCharges" || $request->post('charges_type') == "BoxCharges") {
                $validator = Validator::make($request->all(), [
                    'customer_id' => 'required',
                    'medium_qty' => 'required|numeric',
                    'large_qty' => 'required|numeric',
                    'xlarge_qty' => 'required|numeric',                    
                    'date' => 'required',                    
                ]);
            }else{
                $validator = Validator::make($request->all(), [
                    'customer_id' => 'required',
                    'charges' => 'required|numeric',                                     
                    'date' => 'required',                    
                ]);
            }

            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
            $status = 0;
            if ($request->status == "on") {
                $status = 1;
            }
            $charges = Charges::findOrFail($request->id);
            $charges->charges_type = $request->charges_type;
            $charges->customer_id = $request->customer_id;            
            $charges->min_range = 0;
            $charges->max_range = 0;
            if ($request->post('charges_type') == "FlyerCharges" || $request->post('charges_type') == "BoxCharges") {                
                $charges->charges = 0;
                $charges->medium_qty = $request->medium_qty;
                $charges->large_qty = $request->large_qty;
                $charges->xlarge_qty = $request->xlarge_qty;
            }else
            {
                $charges->charges = $request->charges;
                $charges->medium_qty = 0;
                $charges->large_qty = 0;
                $charges->xlarge_qty = 0;
            }
            $charges->date = $request->date;
            $charges->status = $status;
            $charges->user_modify = \Auth::User()->id;
            $charges->update();
            return response()->json(['success' => 'data is successfully updated'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function destroy($id)
    {
        try {
            $charges = Charges::find($id);
            $charges->delete();
            return response()->json(['success' => 'data is successfully deleted'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }

    public function deleteAll(Request $request)
    {
        if ($request->ajax()) {
            $validator = Validator::make($request->all(), [
                'check_all' => 'required'
            ]);
            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }

            foreach ($request->check_all as $value) {
                Charges::where('id', $value)->delete();
            }
            return response()->json(['success' => 'data is successfully deleted'], 200);
        }
        return 'false';
    }
}
