<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Branch;
use Illuminate\Http\Request;
use App\Models\CityModel;
use App\Models\CountryModel;
use App\Models\customer;
use App\Models\Staff;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Validator;
use Yajra\DataTables\Facades\DataTables as DataTables;
use Illuminate\Validation\Rule;

class PaymentController extends Controller
{
    public function index()
    {        
        $customer = customer::where('status', 1)->get();
        $branches = Branch::where('status', 1)->get();
        $staff = Staff::where('status', 1)->get();
        return view('admin.payment.index')->with(compact('customer','branches','staff'));
    }

    public function create()
    {
        try {
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
    public function store(Request $request)
    {
        try {
            $payment_type = $request->payment_type;     
            if ($payment_type == "advance_staff") {
               
                $validator = Validator::make($request->all(), [
                    'date' => 'required',
                    'staff_id' => 'required',
                    'amount' => 'required',
                    'comments' => 'required'                
                ]);

            } else if ($payment_type == "paid_cod_collection") {
                $validator = Validator::make($request->all(), [
                    'date' => 'required',
                    'consignor_id' => 'required',
                    'amount' => 'required',
                    'comments' => 'required'                
                ]);
            } else if ($payment_type == "received_cod_collection") {
                $validator = Validator::make($request->all(), [
                    'date' => 'required',
                    'branch_id' => 'required',
                    'amount' => 'required',
                    'comments' => 'required'                
                ]);
            } else if ($payment_type == "courier_daily_collection") {
                $validator = Validator::make($request->all(), [
                    'date' => 'required',
                    'staff_id' => 'required',
                    'amount' => 'required',
                    'comments' => 'required'                
                ]);
            }else
            {
                $validator = Validator::make($request->all(), [
                    'payment_type' => 'required',                    
                    'date' => 'required',                    
                    'amount' => 'required',
                    'comments' => 'required'                
                ]);
            }
            
            if (!$validator->passes()) {
                return response()->json(['error' => $validator->errors()->all()]);
            }
            
            if ($payment_type == "advance_staff") {               
                DB::table('salary')->insert([                    
                    'date' => $request->post('date'),
                    'staff_id' => $request->post('staff_id'),                    
                    'advance_amount' => $request->post('amount'),
                    'amount' => 0,
                    'advance_received' => 0,
                    'comment' => $request->post('comments'),                    
                    'mode' => "cash",
                    'user_entry' => Auth::User()->id,
                    'user_modify' => Auth::User()->id,
                    'created_at'=> getCurrentDateTime(),
                    'updated_at'=> getCurrentDateTime()    
                ]);

            } else if ($payment_type == "paid_cod_collection") {
                DB::table('paid_cod_daily_collection')->insert([                   
                    'date' => $request->post('date'),
                    'consignor_id' => $request->post('consignor_id'),                    
                    'amount' => $request->post('amount'),                                  
                    'comments' => $request->post('comments'),                    
                    'user_entry' => Auth::User()->id,
                    'user_modify' => Auth::User()->id,
                    'created_at'=> getCurrentDateTime(),
                    'updated_at'=> getCurrentDateTime() 
                ]);
            } else if ($payment_type == "received_cod_collection") {
                DB::table('receved_cod_daily_collection')->insert([                    
                    'date' => $request->post('date'),
                    'branch_id' => $request->post('branch_id'),                    
                    'amount' => $request->post('amount'),                    
                    'comments' => $request->post('comments'),                    
                    'user_entry' => Auth::User()->id,
                    'user_modify' => Auth::User()->id,
                    'created_at'=> getCurrentDateTime(),
                    'updated_at'=> getCurrentDateTime() 
                ]);
            } else if ($payment_type == "courier_daily_collection") {
                DB::table('courier_received_daily_collection')->insert([
                    'date' => $request->post('date'),
                    'staff_id' => $request->post('staff_id'),                    
                    'amount' => $request->post('amount'),                    
                    'comments' => $request->post('comments'),                                       
                    'user_entry' => Auth::User()->id,
                    'user_modify' => Auth::User()->id,
                    'created_at'=> getCurrentDateTime(),
                    'updated_at'=> getCurrentDateTime() 
                ]);
            }

            return response()->json(['success' => 'data is successfully updated'], 200);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
}