<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
Use App\Models\Role;
Use DB;
class User extends Authenticatable
{
    use HasFactory, Notifiable,HasApiTokens;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    // protected $fillable = [
    //     'role_id','user_name','email','address','billing_address','phone_number', 'password','status','user_image'
    // ];
    protected $guarded = [];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function role()
    {
        return $this->belongsTo(Role::class);
    }

    public function permission()
    {
        return $this->hasMany(RolePermission::class, 'role_id','role_id');
    }

    public function getmodules()
    {
        $perms = $this->permission()->select(DB::raw("GROUP_CONCAT(module_id SEPARATOR ',') as `modules`"))->where('pview', '=', '1')->first();
        $modules = Module::orderby('order_no','ASC')->with(['childs' => function($query) use($perms)
                {
                    $query->whereIn('id', explode(',', $perms->modules));
                }
            ])->whereIn('id', explode(',', $perms->modules))->where('parent_id', 0)->get();
        //print_r($modules);die();
        return $modules;
    }

    public function hasPer($perm = null)
    {
        if(is_null($perm)) return false;
        $module = Module::where('name',$perm)->first();
        //print_r($module);die();
        $perms = $this->permission()->select('pview','pedit','pcreate','pdelete')->where('module_id', '=', $module->id)->first();
        return ($perms) ? $perms->toArray() : [];       
    }

    public function invoices(){
        return $this->hasMany(InvoiceModel::class, 'customer_id', 'id');
    }
}
