<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('role_id')->nullable();
            $table->string('user_name', 100);
            $table->string('email', 150)->unique();
            $table->string('password');
            $table->string('cno_from', 50)->nullable();
            $table->string('cno_to', 50)->nullable();
            $table->string('current', 50)->nullable();
            $table->unsignedBigInteger('branch_id')->nullable();
            $table->tinyInteger('status');
            $table->string('user_image', 255)->nullable();
            $table->foreign('role_id')->references('id')->on('role')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('branch_id')->references('id')->on('branch')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->rememberToken();
            $table->timestamps();
            $table->timestamp('email_verified_at')->nullable();
            $table->softDeletes();
            $table->string('user_entry', 10);
            $table->string('user_modify', 10);
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
