<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCustomersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();            
            $table->string('customer_name',100);  
            $table->string('nic',20);
            $table->string('contact_no',100); 
            $table->string('email',100); 
            $table->unsignedBigInteger('country_id')->nullable();
            $table->unsignedBigInteger('city_id')->nullable();
            $table->string('address',255); 
            $table->string('post_code',100); 
            $table->integer('fuel_surcharge'); 
            $table->integer('return_charges'); 
            $table->string('company',100); 
            $table->string('ntn',50); 
            $table->string('reference',100); 
            $table->unsignedBigInteger('staff_reference_id')->nullable();
            $table->string('cno_from',50); 
            $table->string('cno_to',50); 
            $table->string('current',50); 
            $table->integer('flyer_charges_medium'); 
            $table->integer('flyer_charges_large'); 
            $table->integer('flyer_charges_xlarge'); 
            $table->integer('box_charges_medium'); 
            $table->integer('box_charges_large'); 
            $table->integer('box_charges_xlarge'); 
            $table->integer('picking_paking'); 
            $table->tinyInteger('status'); 
            $table->string('user_entry',10);
            $table->string('user_modify',10);
            $table->foreign('country_id')->references('id')->on('country')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('city_id')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('staff_reference_id')->references('id')->on('staff')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('customers');
    }
}
