<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateChargesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('charges', function (Blueprint $table) {
            $table->id();
            $table->string('charges_type',20);
            $table->unsignedBigInteger('customer_id');
            $table->integer('min_range');
            $table->integer('max_range');
            $table->double('charges');
            $table->integer('medium_qty');
            $table->integer('large_qty');
            $table->integer('xlarge_qty');
            $table->string('date',10);
            $table->integer('status');
            $table->string('user_entry',10);
            $table->string('user_modify',10);
            $table->foreign('customer_id')->references('id')->on('customers')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('charges');
    }
}
