<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVehicleWisePriceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vehicle_wise_price', function (Blueprint $table) {
            $table->id();
            $table->string('price_type',50);
            $table->unsignedBigInteger('customer_id');
            $table->unsignedBigInteger('from_city_id');
            $table->unsignedBigInteger('to_city_id');
            $table->double('fixed_amount');
            $table->double('per_kelometer_amount');
            $table->double('booking_amount');  
            $table->tinyInteger('status');
            $table->string('user_entry',10);
            $table->string('user_modify',10);     
            $table->foreign('customer_id')->references('id')->on('customers')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('from_city_id')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('to_city_id')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vehicle_wise_price');
    }
}
