<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateShipmentBookingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shipment_booking', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('service_id');            
            $table->string('customer_type',50);
            $table->string('booking_date',50);
            $table->string('booking_time',50);
            $table->string('pickup_date',50)->nullable();
            $table->string('consignee_name',100);
            $table->unsignedBigInteger('consignee_country');            
            $table->unsignedBigInteger('consignee_city');            
            $table->text('consignee_address');
            $table->string('consignee_contact',255);
            $table->string('consignee_post_code',100)->nullable();;
            $table->string('consignee_email',100)->nullable();;
            $table->unsignedBigInteger('consignor_id');            
            $table->string('consignor_name',100);
            $table->unsignedBigInteger('consignor_country');            
            $table->unsignedBigInteger('consignor_city');            
            $table->text('consignor_address');
            $table->string('consignor_contact',255);
            $table->string('consignor_post_code',100);
            $table->string('consignor_email',100)->nullable();
            $table->double('parcel_boking_weight');
            $table->double('parcel_actual_weight');
            $table->text('consignment_details')->nullable();
            $table->text('consignment_note')->nullable();
            $table->double('cod_amount')->default(0);
            $table->double('shipment_charges');
            $table->tinyInteger('is_complete')->default(0);            
            $table->integer('parcel_last_status')->nullable();
            $table->string('parcel_last_status_date',50)->nullable();
            $table->text('comments')->nullable();
            $table->text('remarks')->nullable();
            $table->string('order_number',100)->nullable();
            $table->string('item_code',100)->nullable();
            $table->string('slip_no',100)->nullable();
            $table->integer('quantity')->nullable();
            $table->string('del_user',100)->nullable();
            $table->tinyInteger('is_cancel')->default(0);
            $table->tinyInteger('is_delete')->default(0);
            $table->tinyInteger('is_bagmanifest')->default(0);
            $table->tinyInteger('is_codbill')->default(0);
            $table->tinyInteger('is_codbill_rec')->default(0);
            $table->tinyInteger('is_delivered')->default(0);
            $table->tinyInteger('is_courier_rec')->default(0);   
            $table->tinyInteger('is_cash')->default(0);
            $table->tinyInteger('is_hide')->default(0);
            $table->string('user_entry',10);
            $table->string('user_modify',10);            
            $table->timestamps();
            $table->foreign('service_id')->references('id')->on('services')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('consignee_country')->references('id')->on('country')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('consignee_city')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('consignor_id')->references('id')->on('customers')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('consignor_country')->references('id')->on('country')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('consignor_city')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shipment_booking');
    }
}
