<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCodbillSummaryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('codbill_summary', function (Blueprint $table) {
            $table->id();            
            $table->unsignedBigInteger("consignor_id");
            $table->string("consignor_name",50);
            $table->string("month_name",50);
            $table->string("from_date",50);
            $table->string("to_date",50);
            $table->double("total_cod_amount");
            $table->double("total_charges");
            $table->double("total_return_amound");
            $table->double("total_return_charges");
            $table->double("fuel_charges");
            $table->double("total_handling_charges");
            $table->double("total_flyer");
            $table->double("total_flyer_charges");
            $table->double("total_box");
            $table->double("total_box_charges");
            $table->double("total_pick_pack");
            $table->double("total_pick_pack_charges");
            $table->double("netamount");
            $table->double("other_amount")->nullable();
            $table->string("other_amount_reason",50)->nullable();
            $table->double("advance_amount")->nullable();
            $table->double("payable")->nullable();
            $table->string("mode",10)->nullable();
            $table->double("balanceamt");
            $table->string("user_entry",50);
            $table->string("user_modify",50);            
            $table->foreign('consignor_id')->references('id')->on('customers')->onDelete('RESTRICT')->onUpdate('RESTRICT');            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('codbill_summary');
    }
}
