<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStatusTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('status', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("cn_no");
            $table->integer("status_id");
            $table->unsignedBigInteger("orign")->nullable();
            $table->unsignedBigInteger("destination")->nullable();
            $table->string("status_date",50);
            $table->string("status_time",50);
            $table->string("signby",50)->nullable();
            $table->string("comments",255)->nullable();
            $table->string("branch_code",100)->nullable();
            $table->string("user_entry",50);
            $table->string("user_modify",50);        
            $table->foreign('cn_no')->references('id')->on('shipment_booking')->onDelete('RESTRICT')->onUpdate('RESTRICT');        
            $table->foreign('orign')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');
            $table->foreign('destination')->references('id')->on('city')->onDelete('RESTRICT')->onUpdate('RESTRICT');            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('status');
    }
}
