"use strict";

$(function () {

    sealMaxNumber();
    RefreshTable();

    function RefreshTable() {
        $('#example1').DataTable({
            destroy: true,
            processing: true,
            serverSide: true,
            paging: false,
            ajax: 'showTempRecord',
            buttons: ['csv', 'excel', 'pdf'],
            columns: [{
                    data: 'checkbox',
                    orderable: false,
                },
                {
                    data: 'DT_RowIndex'
                },
                {
                    data: 'cn_no'
                },
                {
                    data: 'pickup_date'
                },
                {
                    data: 'customer_name'
                },
                {
                    data: 'consignee_name'
                },
                {
                    data: 'consignor_city'
                },
                {
                    data: 'destination'
                },
                {
                    data: 'parcel_actual_weight'
                },
                {
                    data: 'pcs'
                },
                {
                    data: 'cod_amount'
                }
            ],
            error: function (xhr, error, code) {
                console.log(xhr);
                console.log(code);
            }

        });
    }


    $('#btngenerate').click(function () {
        var formData = $("form#bagmanifest").serializeArray();
        // console.log(formData);
        emptyError();
        token();
        var str_url = "addBM";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                RefreshTable();
                sealMaxNumber();
                $('#bagmanifest')[0].reset();
                $('select[name=staff_id]').val('').trigger('change');
                $('select[name=mode]').val('').trigger('change');
                $('.alert-success').html('Bagmanifest Create successfully').fadeIn().delay(4000).fadeOut('slow');
            } else {
                printErrorMsg(data.error);
            }
        });
    });


    $(document).on('change', '.filter', function () {
        var formData = $("form#bagmanifest_report").serializeArray();
        console.log(formData);
        emptyError();
        token();
        var str_url = "getSealNo";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].bagmanifest);
                console.log(json);
                $('#seal_no').empty();
                $('#seal_no').append($("<option/>", {
                    value: "",
                    text: "Select Seal No"
                }));
                for (var x = 0; x < json.length; x++) {
                    $('#seal_no').append($("<option/>", {
                        value: json[x].seal,
                        text: json[x].seal
                    }));
                }
            } else {
                printErrorMsg(data.error);
            }
        });
    });


    $('#BtnReportClick').click(function () {
        var formData = $("form#bagmanifest_report").serializeArray();
        // console.log(formData);                
        emptyError();
        token();
        var str_url = "getBagmanifestReport";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {                                
                $('#showdata').html(data[0].bag_detail);
                $('#date_from').text(data[0].date_from);
                $('#date_to').text(data[0].date_to);
                $('#staff_name').text(data[0].staff_name);
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    function sealMaxNumber() {
        token();
        var str_url = 'sealMaxNumber';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                $('input[name=seal]').val(Number(result.data) + 1);
            } else {
                printErrorMsg(data.error);
            }
        });

    }
});

var totalCOD = 0;
var totalWeight = 0;
var totalParcels = 0;
var i = 1;

function calculate() {
    totalCOD = 0;
    totalWeight = 0;
    totalParcels = 0;

    $(".chk_del").each(function () {
        if (this.checked) {
            totalWeight += parseFloat($("#weight" + i).val());
            totalCOD += parseInt($("#cod_amount" + i).val());
            totalParcels++;
        }
        i++;
    });
    $("#totalCOD").val(totalCOD);
    $("#totalBag").val(totalParcels);
    $("#totalParcel").val(totalParcels);
    $("#totalPieces").val(totalParcels);
    $("#totalWeight").val(totalWeight);
    i = 1;
}


$('#selectAll').change(function () {
    var id = this.id;
    $('.chk_del').prop('checked', this.checked);
    calculate();
});

$(document).on('change', '.chk_del', function () {
    if ($('.chk_del:checked').length == $('.chk_del').length) {
        $('#selectAll').prop('checked', true);
    } else {
        $('#selectAll').prop('checked', false);
    }
    calculate();
});
