"use strict";

$(function () {
    $('#example').DataTable({
        processing: true,
        serverSide: true,
        ajax: 'branch_asign_city/show',
        buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'DT_RowIndex'
            },
            {
                data: 'branch_id'
            },
            {
                data: 'branch_name'
            },
            {
                data: 'country_name'
            },
            {
                data: 'city_name'
            },
            {
                data: 'status'
            },
            {
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {
        $('select[name=branch_id]').trigger('change');
        $('select[name=country_id]').trigger('change');
        $('#check_uncheck').prop('checked', false);    
        $('#ddlmulty').val('').trigger('change')        
        document.getElementById("statusText").innerText = "OFF";      
        $('#ddlcitymultiple').show();
        $('#ddlcity').hide();
    }

    //create
    $(document).on('click', '.create', function (e) {
        e.preventDefault();
        cleaner();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create Branch');
        $('.error-msg').css('display', 'none');
    });

    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        var id = $(this).attr('get_id');
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');
        $('#ddlcitymultiple').hide();
        $('#ddlcity').show();
        token();
        var str_url = 'branch_asign_city/' + id + '/edit';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result.data);
                $('.id').val(json.id);
                $('.branch_id').val(json.branch_id).trigger('change');;                
                $('.country_id').val(json.country_id).trigger('change');;                
                $('.citysingle').val(json.city_id).trigger('change');;
                changeStatus(json.status);
                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Branch Asign City');
                $('#modalAdd').attr('id', 'modalEdit');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(document).on('submit', '#modalAdd', function (e) {
        e.preventDefault();
        var formData = $("form#branch").serializeArray();
        console.log(formData);
        token();
        var str_url = "branch_asign_city";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalAdd').modal('hide');
                $('.alert-success').html('Branch Create successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();
        var formData = $("form#branch").serializeArray();
        var str_url = "branch_asign_city/rec_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('Branch Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

});
