"use strict";

$(function () {
    RefreshTable();

    function RefreshTable() {
        $('#example1').DataTable({
            destroy: true,
            processing: true,
            serverSide: true,
            paging: false,
            ajax: 'showCodTempRecord',
            buttons: ['csv', 'excel', 'pdf'],
            columns: [{
                    data: 'checkbox',
                    orderable: false,
                },
                {
                    data: 'DT_RowIndex'
                },
                {
                    data: 'pickup_date'
                },
                {
                    data: 'customer_name'
                },
                {
                    data: 'cn_no'
                },
                {
                    data: 'parcel_actual_weight'
                },
                {
                    data: 'destination'
                },
                {
                    data: 'cod_amount'
                },
                {
                    data: 'shipment_charges'
                },
                {
                    data: 'return_charges'
                },
                {
                    data: 'payable'
                },
                {
                    data: 'amount'
                },
                {
                    data: 'status_name'
                },
                {
                    data: 'handling_charges'
                }
            ],
            error: function (xhr, error, code) {
                console.log(xhr);
                console.log(code);
            }

        });
    }


    $('#btngenerate').click(function () {
        var formData = $("form#cod_bill").serializeArray();
         console.log(formData);
        emptyError();
        token();
        var str_url = "addCod";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                RefreshTable();                
                $('#cod_bill')[0].reset();
                // $('select[name=staff_id]').val('').trigger('change');
                // $('select[name=mode]').val('').trigger('change');
                $('.alert-success').html('Cod Bill Create successfully').fadeIn().delay(4000).fadeOut('slow');
            } else {
                printErrorMsg(data.error);
            }
        });
    });


    $("#consignor_id").change(function () {        
        emptyError();
        token();
        var str_url = "getBillingMonths/"+$(this).val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].billing_month);
                console.log(json);
                $('#billing_month').empty();    
                $('#billing_month').append($("<option/>", {
                    value: "",
                    text: "-Select Month-"
                }));            
                for (var x = 0; x < json.length; x++) {
                    $('#billing_month').append($("<option/>", {
                        value: json[x].cod_bill_id,
                        text: json[x].month_name
                    }));
                }
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $("#billing_month").change(function () {               
        emptyError();
        token();
        var str_url = "getBillingMonthDate/"+$("#consignor_id").val()+"/"+$(this).val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].billing_month);
                console.log(json);
                $('#date_from').val(json[0].from_date);
                $('#date_to').val(json[0].to_date);                
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $('#BtnReportClick').click(function () {       
        //var formData = $("form#cod_bill_report").serializeArray();
        // console.log(formData);
        emptyError();
        token();
        var str_url = "getCodBillReport/"+$("#consignor_id").val()+"/"+$("#billing_month").val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {                                
                $('#showdata').html(data[0].report_table);
                $('#lbl_date_from').text($("#date_from").val());
                $('#lbl_date_to').text($("#date_to").val());
                $('#consignor_name').text($("#consignor_id option:selected").text());
            } else {
                printErrorMsg(data.error);
            }
        });
    });

});

var totalCOD = 0;
var totalChg = 0;
var Total_handling_chg = 0;
var total_return_charges = 0;
var totalCODReturn = 0;
var fuelsurcharge = 0;
var totalflyer = 0;
var totalbox = 0;
var per_player_chg = 0;
var player_chg = 0;
var box_chg = 0;
var per_picking_paking = 0;
var totalflyerchg = 0;
var totalboxchg = 0;
var totalpicking_paking = 0;
var totalpicking_paking_Chg = 0;
var statuss = "";
var i = 1;
var cn_count = 0;

function calculate() {
    totalCOD = 0;
    totalChg = 0;
    Total_handling_chg = 0;
    totalCODReturn = 0;
    player_chg = 0;
    box_chg = 0;
    total_return_charges = 0;
    fuelsurcharge = 0;
    totalflyerchg = 0;
    totalflyer = 0;
    totalbox = 0;
    totalboxchg = 0;
    per_picking_paking = 0;
    totalpicking_paking = 0;
    totalpicking_paking_Chg = 0;
    fuelchg = 0;
    cn_count = 0;
    statuss = "";
    $(".chk_del").each(function () {
        if (this.checked) {
            statuss = parseInt($("#status" + i).val());
            totalCOD += parseInt($("#cod_amount" + i).val());
            totalChg += parseInt($("#shipment_charges" + i).val());
            Total_handling_chg += parseInt($("#handling_charges" + i).val());
            if (statuss == 5 || statuss == 6 || statuss == 9) {
                total_return_charges += parseInt($("#return_charges" + i).val());
                totalCODReturn += parseInt($("#cod_amount" + i).val());
            }
            fuelsurcharge = parseInt($("#fuel_surcharge1").val());
            player_chg = parseInt($("#flyer_charges1").val());
            totalflyer = parseInt($("#total_flyer1").val());            

            box_chg = parseInt($("#box_charges1").val());
            totalbox = parseInt($("#total_box1").val());            
            per_picking_paking = parseInt($("#picking_paking1").val());            
            totalpicking_paking = parseInt($("#total_picking_paking1").val());
            cn_count++;
        }
        i++;
    });
    var fuelchg = totalCOD * fuelsurcharge / 100;
    totalflyerchg = player_chg;
    totalboxchg = box_chg;
    // totalpicking_paking_Chg = per_picking_paking * cn_count;
    totalpicking_paking_Chg = per_picking_paking * totalpicking_paking;
    $("#totalCOD").val(totalCOD);
    $("#TOTALCHARGES").val(totalChg);
    $("#TotalHandlingChg").val(Total_handling_chg);
    $("#TotalReturnAmount").val(totalCODReturn);
    $("#TotalReturnCharges").val(total_return_charges);
    $("#fuelcharges").val(fuelchg);
    $("#advance_amount").val($('input[name=advance_amount_1]').val());

    if (isNaN(totalflyerchg)) {
        totalflyerchg = 0;
    }
    if (isNaN(totalboxchg)) {
        totalboxchg = 0;
    }
    $("#TotalFlayerChg").val(totalflyerchg);    
    $("#total_flyer").val(totalflyer);

    $("#TotalBoxChg").val(totalboxchg);    
    $("#total_box").val(totalbox);

    if (isNaN(totalpicking_paking_Chg)) {
        totalpicking_paking_Chg = 0;
    }

    if (isNaN(totalpicking_paking)) {
        totalpicking_paking = 0;
    }

    $("#pick_pack_charges").val(totalpicking_paking_Chg);
    $("#total_pick_pack").val(totalpicking_paking);

    var netamount = totalCOD -
        (totalChg + totalCODReturn + total_return_charges + fuelchg + Total_handling_chg + totalflyerchg + totalpicking_paking_Chg);
    $("#netamount").val(netamount);
    var payable = $("#payable").val();
    var advance_amount = $("#advance_amount").val();
    $("#balanceamt").val(parseFloat((netamount - (Number(payable) + Number(advance_amount)))).toFixed(2));
    otheramount();
    i = 1;
}

function otheramount() {
    var otheramt = 0;
    var advanceamount = 0;
    var netamount = 0;
    var payable = 0;
    $("#balanceamt").val('');
    otheramt = $("#otheramt").val();
    payable = $("#payable").val();
    advanceamount = $("#advance_amount").val();
    netamount = $("#netamount").val();
    if (otheramt == "" || isNaN(otheramt)) {
        otheramt = 0;
    }
    $("#balanceamt").val(Number(netamount) - (Number(payable) + Number(advanceamount) + Number(otheramt)));
}



$('#selectAll').change(function () {
    var id = this.id;
    $('.chk_del').prop('checked', this.checked);
    calculate();
});

$(document).on('change', '.chk_del', function () {
    if ($('.chk_del:checked').length == $('.chk_del').length) {
        $('#selectAll').prop('checked', true);
    } else {
        $('#selectAll').prop('checked', false);
    }
    calculate();
});
