"use strict";

$(function () {
    RefreshTable();

    function RefreshTable() {
        $('#example1').DataTable({
            destroy: true,
            processing: true,
            serverSide: true,
            paging: false,
            ajax: 'showCodRecTempRecord',
            buttons: ['csv', 'excel', 'pdf'],
            columns: [{
                    data: 'checkbox',
                    orderable: false,
                },
                {
                    data: 'DT_RowIndex'
                },
                {
                    data: 'pickup_date'
                },
                {
                    data: 'cn_no'
                },
                {
                    data: 'parcel_actual_weight'
                },
                {
                    data: 'destination'
                },
                {
                    data: 'cod_amount'
                },
                {
                    data: 'per_parcel_charges'
                },
                {
                    data: 'recevable'
                },
                {
                    data: 'remaining'
                },
                {
                    data: 'status_name'
                }
            ],
            error: function (xhr, error, code) {
                console.log(xhr);
                console.log(code);
            }

        });
    }


    $('#btngenerate').click(function () {
        var formData = $("form#cod_bill").serializeArray();
        console.log(formData);
        emptyError();
        token();
        var str_url = "addCod";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                //RefreshTable();
                $('#cod_bill')[0].reset();
                // $('select[name=staff_id]').val('').trigger('change');
                // $('select[name=mode]').val('').trigger('change');
                $('.alert-success').html('Cod Bill Create successfully').fadeIn().delay(4000).fadeOut('slow');
            } else {
                printErrorMsg(data.error);
            }
        });
    });


    $("#branch_id").change(function () {        
        emptyError();
        token();
        var str_url = "getBillingMonths/"+$(this).val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].billing_month);
                console.log(json);
                $('#billing_month').empty();    
                $('#billing_month').append($("<option/>", {
                    value: "",
                    text: "-Select Month-"
                }));            
                for (var x = 0; x < json.length; x++) {
                    $('#billing_month').append($("<option/>", {
                        value: json[x].cod_bill_id,
                        text: json[x].month_name
                    }));
                }
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $("#billing_month").change(function () {               
        emptyError();
        token();
        var str_url = "getBillingMonthDate/"+$("#branch_id").val()+"/"+$(this).val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                let json = jQuery.parseJSON(data[0].billing_month);
                console.log(json);
                $('#date_from').val(json[0].from_date);
                $('#date_to').val(json[0].to_date);                
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $('#BtnReportClick').click(function () {       
        //var formData = $("form#cod_bill_report").serializeArray();
        // console.log(formData);
        emptyError();
        token();
        var str_url = "getCodBillReport/"+$("#branch_id").val()+"/"+$("#billing_month").val();
        var str_method = "GET";
        var str_data_type = "json";
        var formData = "";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {                                
                $('#showdata').html(data[0].report_table);
                $('#lbl_date_from').text($("#date_from").val());
                $('#lbl_date_to').text($("#date_to").val());
                $('#branch_name').text($("#branch_id option:selected").text());
            } else {
                printErrorMsg(data.error);
            }
        });
    });

});

var totalCOD = 0;
var totalcharges = 0;
var totalreturn = 0;
var netamount = 0;
var i = 1;

function calculate() {
    totalCOD = 0;
    totalcharges = 0;
    totalreturn = 0;
    netamount = 0;
    $(".chk_del").each(function () {        
        if (this.checked) {
            totalCOD += parseInt($("#cod_amount" + i).val());            
            totalcharges += parseFloat($("#charges" + i).val());
            totalreturn += parseFloat($("#return_charges" + i).val());
        }
        i++;
    });
            
    $("#advance_amount").val($('input[name=advance_amount_1]').val());
    $("#total_cod_amount").val(totalCOD);
    $("#total_charges").val(totalcharges);
    $("#total_return_amound").val(totalreturn);
    $("#netamount").val(parseFloat(Number(totalCOD) - (Number(totalcharges) + Number(totalreturn))).toFixed(2));
    otheramount();
    i = 1;
}

function otheramount() {
    var otheramt = 0;
    var otheramt_recovery = 0;
    var advanceamount = 0;
    var recevable = 0;
    var netamount = 0;
    otheramt = $("#otheramountt").val();
    otheramt_recovery = $("#other_recovery").val();
    recevable = $("#recived").val();
    advanceamount = $("#advance_amount").val();
    netamount = $("#netamount").val();
    if (otheramt == "" || isNaN(otheramt)) {
        otheramt = 0;
    }
    if (otheramt_recovery == "" || isNaN(otheramt_recovery)) {
        otheramt_recovery = 0;
    }
    if (recevable == "" || isNaN(recevable)) {
        recevable = 0;
    }
    
    if (advanceamount == "" || isNaN(advanceamount)) {
        advanceamount = 0;
    }

    //$("#netamount").val(netamount - (otheramt + otheramt_recovery));
    $("#balanceamt").val(parseFloat(Number(netamount) - (Number(recevable) + Number(advanceamount) +
        Number(otheramt) + Number(otheramt_recovery))).toFixed(2));
}



$('#selectAll').change(function () {
    var id = this.id;
    $('.chk_del').prop('checked', this.checked);
    calculate();
});

$(document).on('change', '.chk_del', function () {
    if ($('.chk_del:checked').length == $('.chk_del').length) {
        $('#selectAll').prop('checked', true);
    } else {
        $('#selectAll').prop('checked', false);
    }
    calculate();
});
