"use strict";

$(function () {    
    $('#example').DataTable({        
        processing: true,
        serverSide: true,
        ajax: 'login_show',
        buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'id'
            },
            {
                data: 'customer_name'
            },
            {
                data: 'email'
            },
            {
                data: 'status'
            }
            ,{
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {
        $('#customer')[0].reset();        
    }

    //create
    $(document).on('click', '.create', function (e) {        
        e.preventDefault();
        cleaner();
        $('#cn_chk').hide();
        $('#pass_chk').hide();
        $('.div_login').show();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create Customer');
        $('.error-msg').css('display', 'none');
    });

    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();        
        var id = $(this).attr('get_id');
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');
        token();
        var str_url = 'customer_login_edit/' + id + '';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result.data);                                
                console.log(json);
                $('input[name=id]').val(json[0].id);
                $('select[name=customer_id]').val(json[0].customer_id);                
                $('input[name=email]').val(json[0].email);                                    
                changeStatus(json[0].status);                                

                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Customer Login');
                $('#modalAdd').attr('id', 'modalEdit');
            } else {
                printErrorMsg(data.error);
            }
        });
    });    

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();

        var formData = $("form#customer").serializeArray();

        var str_url = "customer_login_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('Customer Login Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

});
