"use strict";

$(function () {    
    $('#example').DataTable({
        processing: true,
        serverSide: true,
        ajax: 'user/show',
        buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'DT_RowIndex'
            },
            {
                data: 'user_name'
            },
            {
                data: 'role_name'
            },
            {
                data: 'cno_from'
            },
            {
                data: 'cno_to'
            },
            {
                data: 'status'
            }
            ,{
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {
        $('.id').val('');
        $('.name').val('');
        $('#check_uncheck').prop('checked', false);   
        $('#cn_chk').hide(); 
        $('#pass_chk').hide();
        // document.getElementById("statusText").innerText = "OFF";
    }

    //create
    $(document).on('click', '.create', function (e) {        
        e.preventDefault();
        cleaner();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create User');
        $('.error-msg').css('display', 'none');
    });

    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        $('#cn_chk').show();
        $('#pass_chk').show();
        var id = $(this).attr('get_id');
        alert(id);
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');
        token();
        var str_url = 'user/' + id + '/edit';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result.data);
                console.log(json);
                $('input[name=id]').val(json.id);
                $('input[name=user_name]').val(json.user_name);
                $('select[name=role_id]').val(json.role_id).trigger('change');;
                $('select[name=branch_id]').val(json.branch_id).trigger('change');;
                $('input[name=email]').val(json.email);
                $('input[name=cno_from]').val(json.cno_from);                
                $('input[name=cno_to]').val(json.cno_to);                
                changeStatus(json.status);
                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Staff');
                $('#modalAdd').attr('id', 'modalEdit');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(document).on('submit', '#modalAdd', function (e) {       
        e.preventDefault();
        var formData = $("form#user").serializeArray();
        console.log(formData);
        token();
        var str_url = "user";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalAdd').modal('hide');
                $('.alert-success').html('User Create successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();

        var formData = $("form#user").serializeArray();

        var str_url = "user/rec_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('User Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

});
