"use strict";

$(function () {
    $('#example').DataTable({
        processing: true,
        serverSide: true,
        ajax: 'vehicle_wise_price/show',
        buttons: ['csv', 'excel', 'pdf'],
        columns: [{
                data: 'checkbox',
                orderable: false,
            },
            {
                data: 'DT_RowIndex'
            },
            {
                data: 'price_type'
            },
            {
                data: 'customer_name'
            },
            {
                data: 'city_from_name'
            },
            {
                data: 'city_to_name'
            },
            {
                data: 'fixed_amount'
            },
            {
                data: 'per_kelometer_amount'
            },
            {
                data: 'booking_amount'
            },
            {
                data: 'status'
            },
            {
                data: 'action',
                orderable: false,
                searchable: false
            }
        ],
        error: function (xhr, error, code) {
            console.log(xhr);
            console.log(code);
        }
    });


    function cleaner() {
         $('#price')[0].reset();
        $('select[name=customer_id]').trigger('change');
        // $('#ddlmulty').val('').trigger('change')
        $('#check_uncheck').prop('checked', true);
        $('#divCity').hide();
        $('#divBranch').hide();
        $('#divZone').hide();
        document.getElementById("statusText").innerText = "ON";              
    }

    //create
    $(document).on('click', '.create', function (e) {
        e.preventDefault();
        cleaner();
        $('#modalEdit').attr('id', 'modalAdd');
        $('#modalAdd').modal('show');
        $('.modal-title').text('Create Vehicle Wise Price');
        $('.error-msg').css('display', 'none');
    });

    //edit
    $(document).on('click', '.edit', function (e) {
        e.preventDefault();
        var id = $(this).attr('get_id');
        $('#modalEdit').attr('id', 'modalAdd');
        $('.error-msg').css('display', 'none');       
        token();
        var str_url = 'vehicle_wise_price/' + id + '/edit';
        var str_method = "GET";
        var str_data_type = "json";
        var data = null;
        CustomAjax(str_url, str_method, data, str_data_type, function (result) {
            if (result.success) {
                let json = jQuery.parseJSON(result.data);
                $('.id').val(json.id);
                $('.price_type').val(json.price_type).trigger('change');
                $('.customer_id').val(json.customer_id).trigger('change');
                $('.from_city_id').val(json.from_city_id).trigger('change');
                $('.to_city_id').val(json.to_city_id).trigger('change');
                $('.fixed_amount').val(json.fixed_amount);
                $('.per_kelometer_amount').val(json.per_kelometer_amount);
                $('.booking_amount').val(json.booking_amount);                
                PriceType();          
                changeStatus(json.status);
                $('#modalAdd').modal('show');
                $('.modal-title').text('Update Charges');
                $('#modalAdd').attr('id', 'modalEdit');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(document).on('submit', '#modalAdd', function (e) {
        e.preventDefault();
        var formData = $("form#price").serializeArray();
        console.log(formData);
        token();
        var str_url = "vehicle_wise_price";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalAdd').modal('hide');
                $('.alert-success').html('Vehicle Wise Price Create successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    //update
    $(document).on('submit', '#modalEdit', function (e) {
        e.preventDefault();
        token();
        var formData = $("form#price").serializeArray();
        var str_url = "vehicle_wise_price/rec_update";
        var str_method = "POST";
        var str_data_type = "json";
        CustomAjax(str_url, str_method, formData, str_data_type, function (data) {
            if (data.success) {
                refresh();
                cleaner();
                $('#modalEdit').modal('hide');
                $('.alert-success').html('Vehicle Wise Price Update Successfully').fadeIn().delay(4000).fadeOut('slow');
                $('#modalEdit').attr('id', 'modalAdd');
            } else {
                printErrorMsg(data.error);
            }
        });
    });

    $(".price_type").change(function () {              
        PriceType()
    });

    function PriceType()
    {
        if($('.price_type').val() == "Fixed Amount")
        {
            $('#fixed_amount').show();
            $('#per_kelometer_amount').hide();            
            $('.per_kelometer_amount').val(0);
           
        }else if($('.price_type').val() == "Per Kelometer")
        {
            $('#fixed_amount').hide();
            $('#per_kelometer_amount').show();            
            $('.fixed_amount').val(0);            
        }       
    }
});
