@extends('admin.layout.master')
@section('page-title')
COD Bill Recovery Report View
@endsection

@section('main-content')
    <section class="content-header no-print">
        <h1>
          COD Bill Recovery Report View
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Report</a></li>
            <li class="active"><a href="#">COD Bill Report</a></li>
        </ol>
    </section>

    <section class="content no-print" style="min-height: 0px;" id="myModal" >
        <div class="box">
            <div class="box-header" id="myModal">
                <form id="cod_bill_report" >
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Branch:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <select class="form-control select2" name="branch_id" id="branch_id">
                                        <option selected="selected" value="">-Select Branch-</option>
                                        @foreach ($branch as $bra)
                                            <option value="{{ $bra->id }}">
                                                {{ $bra->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>


                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Select Month:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <select class="form-control select2" name="billing_month" id="billing_month">
                                        <option selected="selected" value="">-Select Month-</option>
                                       
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>                        
                        
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Date From:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <input name="date_from"  id="date_from"  class="form-control" 
                                     value="" readonly style="background-color:#fff"   size="15"  />
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Date To:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input name="date_to" id="date_to"  class="form-control" value="" readonly style="background-color:#fff"   size="15"  />
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>

                        <div class="col-md-2">
                            <div class="form-group">
                                <label></label>
                                <div class="input-group" style="width:100%;">
                                    <button type="button" class="btn btn-success flat" id="BtnReportClick"
                                        style="width:100%;">
                                        Fetch Report
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

            </div><!-- /.box-header -->

        </div><!-- /.box -->
    </section>

    <section class="content">
        <div class="box">
            <div class="box-header">
                <div class="card">
                    <div class="row">
                        <div class="col-md-12">
                            <div>
                                <center><h4><strong>Ecourier<?php //echo $this->session->userdata['logged_in_comp']['company_name']; ?></strong></h4></center>
                            </div>
                            <div class="col-md-12" style="padding-left:0px;">
                                <span>
                                    <label style="padding-right:10px;">Branch Name : </label>
                                    <label id="branch_name"></label>
                                </span>                               
                            </div>
                            <div class="col-md-12" style="padding-left:0px;">
                                <span>
                                    <label style="padding-right:10px;">From: </label>
                                    <label id="lbl_date_from"></label>
                                </span>
                                <span style="margin-left:30px">
                                    <label style="padding-right:20px;">To: </label>
                                    <label id="lbl_date_to"></label>
                                </span>
                                <span class="pull-right">
                                    <strong style="margin-right:10px;">Report Printed: <?php echo date('d-m-Y'); ?></strong>
                                </span>
                            </div>
                            <div class="table-responsive-sm">                                
                                <div id="showdata"></div>                                  
                            </div>
                        </div>
                    </div>
                </div>
            </div><!-- /.box-header -->
            <div class="box-body">

            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </section><!-- /.content -->

@endsection

@push('custom-scripts')
<script src="{{ url('') }}/admin/myjs/codbillrecovery/codbillrecovery.js"></script>
@endpush
