@extends('admin.layout.master')
@section('page-title')
    Delivery Sheet
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            Delivery Sheet Generate
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Transaction</a></li>
            <li class="active"><a href="#">Delivery Sheet Generate </a></li>
        </ol>
    </section>

    <section class="content" id="myModal">
        <div class="box box-success">
            <div class="box-header with-border">
                <h3 class="box-title">Delivery Sheet</h3>
            </div>
            @include('admin.layout.errorLayout')
            @include('admin.layout.successLayout')
            @include('admin.layout.validationLayout')
            <form id="delivery_sheet">
                <div class="box-header">
                    <div id="ErrorMessages"></div>
                    <div class="table-responsive">
                        <table id="example1" class="table  table-bordered display nowrap">
                            <thead>
                                <tr>
                                    <th>
                                        <input type="checkbox" id="selectAll" name="selectAll" value="ALL" />
                                    </th>
                                    <th>Sr No</th>
                                    <th>Date</th>
                                    <th>Consignee Name</th>
                                    <th>CN No</th>
                                    <th>Destination</th>
                                    <th>COD</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <div class="row">

                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Bramch:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <select name="branch_id" class="form-control select2" style="width: 100%;">
                                        <option selected="selected" value="">-Select Branch-</option>
                                        @foreach ($branches as $branch)
                                            <option value="{{ $branch->id }}"> {{ $branch->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Route:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <select name="route_id" class="form-control select2" style="width: 100%;">
                                        <option selected="selected" value="">-Select Route-</option>
                                        @foreach ($getRoute as $route)
                                        <option value="{{ $route->id }}"> {{ $route->route_name }}
                                        </option>
                                    @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Staff Name:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <select name="staff_id" class="form-control select2" style="width: 100%;" required>
                                        <option selected="selected" value="">-Select Staff-</option>
                                        @foreach ($getstaff as $staff)
                                        <option value="{{ $staff->id }}"> {{ $staff->staff_name }}
                                        </option>
                                    @endforeach
                                    </select>
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>SHEET NUMBER</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-sun-o"></i>
                                    </div>
                                    <input type="text" name="sheet_id" id="sheet_id" class="form-control" readonly />
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Total P.Bags</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <input type="text" name="total_shipment" id="totalshipment" value="0"
                                        class="form-control">
                                </div>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label>Total COD Amount:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <input type="text" id="totalCOD" name="total_cod_amount" class="form-control"
                                        readonly />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-3">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>&nbsp;</label>
                                <button type="button" id="btngenerate" class="btn btn-block btn-success btn-flat"
                                    style="">
                                    <span class="fa fa-save"></span> &nbsp; Generate
                                </button>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/delivery_sheet/delivery_sheet.js"></script>
@endpush
