@extends('admin.layout.master')
@section('page-title')
    Forwarding 
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            Forwarding
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Transaction</a></li>
            <li class="active"><a href="#">Forwarding</a></li>
        </ol>
    </section>

    <section class="content" id="myModal">
        <div class="box box-success">
            <div class="box-header with-border">
                <h3 class="box-title">Forwarding</h3>
            </div>
            @include('admin.layout.errorLayout')
            @include('admin.layout.successLayout')
            @include('admin.layout.validationLayout')
            <form id="forwarding">
                <div class="box-header">
                    <div id="ErrorMessages"></div>
                    <div class="table-responsive">
                        <table id="example1" class="table  table-bordered display nowrap">
                            <thead>
                                <tr>
                                    <th>
                                        <input type="checkbox" id="selectAll" name="selectAll" value="ALL" />
                                    </th>
                                    <th>S.No</th>
                                    <th>Date</th>
                                    <th>Sender Name</th>
                                    <th>From</th>
                                    <th>To</th>
                                    <th>Origin</th>
                                    <th>Destination</th>
                                    <th>Service</th>
                                    <th>Courier Officer</th>
                                    <th>Weight</th>
                                    <th>CN#</th>
                                </tr>
                            </thead>
                            <tbody id="showdata"></tbody>
                        </table>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>FWD By:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <input type="text" name="forword_by" class="form-control" />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Slip No:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-twitter"></i>
                                    </div>
                                    <input type="text" name="slipno" class="form-control" />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>FWD Date:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                     <input type="text" name="forword_date" id="datepicker" value="{{getCurrentDate()}}" class="form-control" />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Driver:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </div>
                                    <input type="text" name="driver" class="form-control" />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Car No:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-dropbox"></i>
                                    </div>
                                    <input type="text" name="car_no" class="form-control" />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Type:</label>
                                <div class="input-group">
                                    <div class="input-group-addon">
                                        <i class="fa fa-dropbox"></i>
                                    </div>
                                    <input type="text" name="type" class="form-control" />
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-3">
                            <!-- Date range -->
                            <div class="form-group">
                                <label>&nbsp;</label>
                                <button type="button" id="btngenerate" class="btn btn-block btn-success btn-flat"
                                    style="">
                                    <span class="fa fa-save"></span> &nbsp; Generate
                                </button>
                                <!-- /.input group -->
                            </div>
                            <!-- /.form group -->
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/forwarding/forwarding.js"></script>
@endpush
