@extends('admin.layout.master')
@section('page-title')
    Create Role
@endsection

@section('main-content')
    <section class="content-header">
        <br> <br>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Setup</a></li>
            <li class="active">Edit Role</li>
        </ol>
    </section>
    <section class="content">
        <div class="box">
            <div class="box-header">
                @if (isset($errors))
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
                @endif
            </div>
            <div class="box-body">
                <form action="{{ route('role.store') }}" method="post" class="card">
                    @csrf
                    <div class="card-header">
                        <h3 class="card-title">Create Role</h3>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12 col-lg-12">
                                <div class="form-group">
                                    <label class="form-label">Name</label>
                                    <input type="text" class="form-control" name="name" placeholder="Name"
                                        required="required">
                                </div>
                            </div>

                            <div class="col-md-12 table-responsive" style="margin-top: 10px;">
                                <table class="table table-bordered table-responsive table-striped">
                                    <thead>
                                        <tr>
                                            <th class="wd-15p border-bottom-0">Name</th>
                                            <th class="wd-15p border-bottom-0">View</th>
                                            <th class="wd-15p border-bottom-0">Create</th>
                                            <th class="wd-15p border-bottom-0">Edit</th>
                                            <th class="wd-15p border-bottom-0">Delete</th>
                                        </tr>
                                    </thead>
                                    @foreach ($modules as $module)
                                        <input type="hidden" name="moduleid[{{ $module->id }}]"
                                            value="{{ $module->id }}">
                                        <tbody class="rolemodules">
                                            <tr>
                                                <td>{{ $module->name }}</td>
                                                <td>
                                                    <label class="custom-switch pl-0">


                                                        <input type="checkbox" name="view[{{ $module->id }}]"
                                                            class="custom-switch-input" id="checkbox">
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </td>
                                                <td>
                                                    <label class="custom-switch pl-0">
                                                        <input type="checkbox" name="create[{{ $module->id }}]"
                                                            class="custom-switch-input">
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </td>
                                                <td>
                                                    <label class="custom-switch pl-0">
                                                        <input type="checkbox" name="edit[{{ $module->id }}]"
                                                            class="custom-switch-input">
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </td>
                                                <td>
                                                    <label class="custom-switch pl-0">
                                                        <input type="checkbox" name="delete[{{ $module->id }}]"
                                                            class="custom-switch-input">
                                                        <span class="custom-switch-indicator"></span>
                                                    </label>
                                                </td>
                                            </tr>
                                        </tbody>
                                    @endforeach
                                </table>
                            </div>
                            <div class="mt-2 mb-0">
                                <button style="color: #fff;margin-left: 7px;" class="btn btn-info" type="submit"
                                    class="">Save</button>
                                <a href="{{ route('role.create') }}" style="color: #fff;margin-left: 7px;"
                                    class="btn btn-danger" type="submit" class="">Cancel</a>
                            </div>
                        </div>
                </form>
            </div>
        </div>
    </section>
@endsection
@section('scripts')
@endsection
