@extends('admin.layout.master')
@section('page-title')
    Setup Route Form
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            Setup Route Form
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Setup</a></li>
            <li class="active"><a href="#">Route</a></li>
        </ol>
    </section>

    <section class="content" id="myModal">
        <div class="box box-success">
            <div class="box-header with-border">
                <button type="button" id="delete_all_record" url="route/deleteAll"
                    class="btn btn-danger delete_all">Delete</button>
                @if (isset(Auth::user()->hasPer('Route')['pcreate']) &&
                    Auth::user()->hasPer('Route')['pcreate'] == 1)
                    <button type="button" class="btn btn-info create">Create</button>
                @endif
            </div>

            <div class="row">
                <div class="box-header">

                </div>
                <div class="col-sm-12">
                    @include('admin.layout.errorLayout')
                    @include('admin.layout.successLayout')
                    <div class="box-body">
                        <div class="table-responsive ">
                            <table id="example" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th>
                                            <input type="checkbox" id="chk_select_all" name="chk_select_all"
                                                value="ALL" />
                                        </th>      
                                        <th>S No</th>                                 
                                        <th>Branch Name</th>
                                        <th>Route Name</th>                                        
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>

                        <div class="modal fade modalAdd" id="modalAdd" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="example-Modal3">New message</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <form id="route">
                                        @include('admin.layout.validationLayout')
                                        <div class="modal-body">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label>Bramch Name:</label>
                                                    <div class="input-group">
                                                        <div class="input-group-addon">
                                                            <i class="fa fa-user"></i>
                                                        </div>
                                                        <input type="hidden" name="id" class="id">
                                                        <select name="branch_id" class="form-control select2 branch_id"
                                                            style="width: 100%;">
                                                            @foreach ($branches as $branch)
                                                                <option value="{{ $branch->id }}">{{ $branch->name }}
                                                                </option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                    <!-- /.input group -->
                                                </div>
                                                <!-- /.form group -->
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label>Route name: </label>

                                                    <div class="input-group">
                                                        <div class="input-group-addon">
                                                            <i class="fa fa-user"></i>
                                                        </div>
                                                        <input type="route_name" name="route_name" id="route_name"
                                                            class="form-control route_name" required>
                                                    </div>
                                                    <!-- /.input group -->
                                                </div>
                                                <!-- /.form group -->
                                            </div>
                                            <div class="col-md-4">
                                                @include('admin.layout.status')
                                            </div>

                                        </div>
                                        <div class="modal-footer">
                                            <button type="submit" id="btnSave" class="btn btn-primary">Save</button>
                                            <button type="button" class="btn btn-secondary"
                                                data-dismiss="modal">Close</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>


                        <div id="deleteModal" class="modal fade" tabindex="-1" role="dialog">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                                aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title">Confirm Delete</h4>
                                    </div>
                                    <div class="modal-body">
                                        Do you want to delete this record?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default"
                                            data-dismiss="modal">Close</button>
                                        <button type="button" id="btnDelete" class="btn btn-danger">Delete</button>
                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    </div>
                </div>
            </div>

        </div>
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/route/route.js"></script>
@endpush
