@extends('admin.layout.master')
@section('page-title')
    Setup Price Form
@endsection

@section('main-content')
    <section class="content-header">
        <h1>
            Setup Vehicle Wise Price Form
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Setup</a></li>
            <li class="active"><a href="<?php //echo base_url();
            ?>Portal">Vehicle Wise Price</a></li>
        </ol>
    </section>

    <section class="content" id="myModal">
        <div class="box box-success">
            <div class="box-header with-border">
                <button type="button" id="delete_all_record" url="price/deleteAll"
                    class="btn btn-danger delete_all">Delete</button>
                @if (isset(Auth::user()->hasPer('Vehicle Price')['pcreate']) && Auth::user()->hasPer('Vehicle Price')['pcreate'] == 1)
                    <button type="button" class="btn btn-info create">Create</button>
                @endif
            </div>

            <div class="row">
                <div class="box-header">

                </div>
                <div class="col-sm-12">
                    @include('admin.layout.errorLayout')
                    @include('admin.layout.successLayout')
                    <div class="box-body">
                        <div class="table-responsive ">
                            <table id="example" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th>
                                            <input type="checkbox" id="chk_select_all" name="chk_select_all"
                                                value="ALL" />
                                        </th>
                                        <th>S No</th>
                                        <th>Price Type</th>
                                        <th>Customer Name</th>
                                        <th>From City</th>
                                        <th>To City</th>
                                        <th>Fixed Amount</th>
                                        <th>Per Kelometer Amount</th>
                                        <th>Booking Amount</th>
                                        <th>Status</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>

                        <div class="modal fade modalAdd" id="modalAdd" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-lg" role="document" style="width: 800px;">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="example-Modal3">New message</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <form id="price">
                                        @include('admin.layout.validationLayout')
                                        <div class="modal-body">
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label> Price Type:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="price_type" class="form-control price_type" style="width: 100%;">
                                                                <option value="Fixed Amount">Fixed Amount</option>
                                                                <option value="Per Kelometer">Per Kelometer</option>                                                            
                                                            </select>
                                                            <input type="hidden" name="id" class="id">
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Customer Name:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="customer_id"
                                                                class="form-control select2 customer_id"
                                                                style="width: 100%;">
                                                                @foreach ($customer as $cus)
                                                                    <option value="{{ $cus->id }}">
                                                                        {{ $cus->customer_name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                
                                            </div>
                                            <div class="row">                                                
                                                <div class="col-md-4" id="divfCity">
                                                    <div class="form-group">
                                                        <label>From City:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="from_city_id" class="form-control select2 from_city_id"
                                                                style="width: 100%;">
                                                                @foreach ($cities as $city)
                                                                    <option value="{{ $city->id }}">
                                                                        {{ $city->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                <div class="col-md-4" id="divtCity">
                                                    <div class="form-group">
                                                        <label>To City:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <select name="to_city_id" class="form-control select2 to_city_id"
                                                                style="width: 100%;">
                                                                @foreach ($cities as $city)
                                                                    <option value="{{ $city->id }}">
                                                                        {{ $city->name }}
                                                                    </option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <!-- /.input group -->
                                                    </div>
                                                    <!-- /.form group -->
                                                </div>
                                                
                                            </div>
                                            <div class="row">
                                                <div class="col-md-3" id="fixed_amount">
                                                    <div class="form-group">
                                                        <label>Fixed Amount:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="fixed_amount" class="form-control fixed_amount">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3" id="per_kelometer_amount">
                                                    <div class="form-group">
                                                        <label>Per Kelometer Amount:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="per_kelometer_amount" class="form-control per_kelometer_amount">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label>Booking Amount:</label>
                                                        <div class="input-group">
                                                            <div class="input-group-addon">
                                                                <i class="fa fa-user"></i>
                                                            </div>
                                                            <input type="number" name="booking_amount" class="form-control booking_amount">
                                                        </div>                                                        
                                                    </div>                                                    
                                                </div>                                               
                                                <div class="col-md-3">
                                                    @include('admin.layout.status')
                                                </div>
                                            </div>                                            
                                        </div>
                                        <div class="modal-footer">
                                            <button type="submit" id="btnSave" class="btn btn-primary">Save</button>
                                            <button type="button" class="btn btn-secondary"
                                                data-dismiss="modal">Close</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>


                        <div id="deleteModal" class="modal fade" tabindex="-1" role="dialog">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"
                                            aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title">Confirm Delete</h4>
                                    </div>
                                    <div class="modal-body">
                                        Do you want to delete this record?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default"
                                            data-dismiss="modal">Close</button>
                                        <button type="button" id="btnDelete" class="btn btn-danger">Delete</button>
                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->
                    </div>
                </div>
            </div>

        </div>
    </section>
@endsection

@push('custom-scripts')
    <script src="{{ url('') }}/admin/myjs/vehicle_wise_price/vehicle_wise_price.js"></script>
@endpush
